# OpenSSHKnownHosts.HostEntry (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.transport.verification
Interface OpenSSHKnownHosts.HostEntry

All Known Implementing Classes:
  OpenSSHKnownHosts.AbstractEntry, OpenSSHKnownHosts.CommentEntry, OpenSSHKnownHosts.HashedEntry, OpenSSHKnownHosts.SimpleEntry

Enclosing class:
  OpenSSHKnownHosts

    public static interface OpenSSHKnownHosts.HostEntry

Method Summary
`boolean` `appliesTo(KeyType type, String host)`
`String` `getLine()`
`boolean` `verify(PublicKey key)`

Method Detail

### appliesTo

    boolean appliesTo(KeyType type,
                      String host)
                      throws IOException

  Throws:
    `IOException`

### verify

    boolean verify(PublicKey key)
                   throws IOException

  Throws:
    `IOException`

### getLine

    String getLine()

Copyright © 2009-2012. All Rights Reserved.